states.push({
	id: "activate-ramjet",
	button: "Activate Ramjet",
	action: "Engaging",
	duration: 2200,
	show: () => isFlagEnabled('ramjet-purchased') && !isFlagEnabled('ramjet-enabled'),
	requires: () => {
		if (isFlagEnabled('ramjet-enabled')) { errorMessage = "Ramjet already activated"; }
		if(userData.position == "asteroid-field") { errorMessage = "Too dangerous to activate here";}
		return !isFlagEnabled('ramjet-enabled') && userData.position != "asteroid-field";
	},
	fallback: null,
	run: () => {
		setFlag('ramjet-enabled');
	},
});